Loading...
Searching...
No Matches
opengv::absolute_pose::NoncentralAbsoluteMultiAdapter Class Reference

`#include <NoncentralAbsoluteMultiAdapter.hpp>`

Inheritance diagram for opengv::absolute_pose::NoncentralAbsoluteMultiAdapter:

## Public Member Functions

EIGEN_MAKE_ALIGNED_OPERATOR_NEW | NoncentralAbsoluteMultiAdapter (std::vector< std::shared_ptr< bearingVectors_t > > bearingVectors, std::vector< std::shared_ptr< points_t > > points, const translations_t &camOffsets, const rotations_t &camRotations)
| Constructor. See protected class-members to understand parameters.
virtual | ~NoncentralAbsoluteMultiAdapter ()
| Destructor.
virtual point_t | getPoint (size_t frameIndex, size_t correspondenceIndex) const
virtual bearingVector_t | getBearingVector (size_t frameIndex, size_t correspondenceIndex) const
virtual double | getWeight (size_t frameIndex, size_t correspondenceIndex) const
virtual translation_t | getMultiCamOffset (size_t frameIndex) const
virtual rotation_t | getMultiCamRotation (size_t frameIndex) const
virtual size_t | getNumberCorrespondences (size_t frameIndex) const
virtual size_t | getNumberFrames () const
virtual std::vector< int > | convertMultiIndices (const std::vector< std::vector< int > > &multiIndices) const
virtual int | convertMultiIndex (size_t frameIndex, size_t correspondenceIndex) const
virtual int | multiFrameIndex (size_t index) const
virtual int | multiCorrespondenceIndex (size_t index) const
Public Member Functions inherited from opengv::absolute_pose::AbsoluteMultiAdapterBase
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | AbsoluteMultiAdapterBase ()
| Constructor.
| AbsoluteMultiAdapterBase (const opengv::rotation_t &R)
| Constructor.
| AbsoluteMultiAdapterBase (const opengv::translation_t &t, const opengv::rotation_t &R)
| Constructor.
virtual | ~AbsoluteMultiAdapterBase ()
| Destructor.
virtual bearingVector_t | getBearingVector (size_t index) const
virtual double | getWeight (size_t index) const
virtual translation_t | getCamOffset (size_t index) const
virtual rotation_t | getCamRotation (size_t index) const
virtual point_t | getPoint (size_t index) const
virtual size_t | getNumberCorrespondences () const
Public Member Functions inherited from opengv::absolute_pose::AbsoluteAdapterBase
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | AbsoluteAdapterBase ()
| Constructor.
| AbsoluteAdapterBase (const opengv::rotation_t &R)
| Constructor.
| AbsoluteAdapterBase (const opengv::translation_t &t, const opengv::rotation_t &R)
| Constructor.
virtual | ~AbsoluteAdapterBase ()
| Destructor.
opengv::translation_t | gett () const
| Retrieve the prior or known value for the position.
void | sett (const opengv::translation_t &t)
| Set the prior or known value for the position.
opengv::rotation_t | getR () const
| Retrieve the prior or known value for the rotation.
void | setR (const opengv::rotation_t &R)
| Set the prior or known value for the rotation.

## Protected Attributes

std::vector< std::shared_ptr< bearingVectors_t > > | _bearingVectors
std::vector< std::shared_ptr< points_t > > | _points
const translations_t & | _camOffsets
const rotations_t & | _camRotations
std::vector< int > | multiFrameIndices
std::vector< int > | multiKeypointIndices
std::vector< int > | singleIndexOffsets
opengv::translation_t | _t
opengv::rotation_t | _R
Protected Attributes inherited from opengv::absolute_pose::AbsoluteMultiAdapterBase
opengv::translation_t | _t
opengv::rotation_t | _R
Protected Attributes inherited from opengv::absolute_pose::AbsoluteAdapterBase
opengv::translation_t | _t
opengv::rotation_t | _R

## Detailed Description

Check the documentation of the parent-class to understand the meaning of an AbsoluteAdapter. This child-class is for the non-central case and holds data in form of references to opengv-types.

## Member Function Documentation

## convertMultiIndex()

virtual int opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::convertMultiIndex | ( | size_t | frameIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteMultiAdapterBase.

## convertMultiIndices()

virtual std::vector< int > opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::convertMultiIndices | ( | const std::vector< std::vector< int > > & | multiIndices | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteMultiAdapterBase.

## getBearingVector()

virtual bearingVector_t opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::getBearingVector | ( | size_t | frameIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteMultiAdapterBase.

## getMultiCamOffset()

virtual translation_t opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::getMultiCamOffset | ( | size_t | frameIndex | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteMultiAdapterBase.

## getMultiCamRotation()

virtual rotation_t opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::getMultiCamRotation | ( | size_t | frameIndex | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteMultiAdapterBase.

## getNumberCorrespondences()

virtual size_t opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::getNumberCorrespondences | ( | size_t | frameIndex | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteMultiAdapterBase.

## getNumberFrames()

virtual size_t opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::getNumberFrames | ( |  | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteMultiAdapterBase.

## getPoint()

virtual point_t opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::getPoint | ( | size_t | frameIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteMultiAdapterBase.

## getWeight()

virtual double opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::getWeight | ( | size_t | frameIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteMultiAdapterBase.

## multiCorrespondenceIndex()

virtual int opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::multiCorrespondenceIndex | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteMultiAdapterBase.

## multiFrameIndex()

virtual int opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::multiFrameIndex | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteMultiAdapterBase.

## Member Data Documentation

## _bearingVectors

std::vector<std::shared_ptr<bearingVectors_t> > opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::_bearingVectors

protected

References to multiple sets of bearing-vectors (the ones from each camera).

## _camOffsets

const translations_t& opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::_camOffsets

protected

Reference to positions of the different cameras seen from the viewpoint.

## _camRotations

const rotations_t& opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::_camRotations

protected

Reference to rotations from the different cameras back to the viewpoint.

## _points

std::vector<std::shared_ptr<points_t> > opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::_points

protected

References to multiple sets of points (the ones from each camera).

## _R

opengv::rotation_t opengv::absolute_pose::AbsoluteAdapterBase::_R

protected

The prior or known value for the rotation from the viewpoint back to the world frame. Initialized to identity if not provided.

## _t

opengv::translation_t opengv::absolute_pose::AbsoluteAdapterBase::_t

protected

The prior or known value for the position of the viewpoint seen from the world frame. Initialized to zero if not provided.

## multiFrameIndices

std::vector<int> opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::multiFrameIndices

protected

Initialized in constructor, used for (de)-serialiaztion of indices

## multiKeypointIndices

std::vector<int> opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::multiKeypointIndices

protected

Initialized in constructor, used for (de)-serialiaztion of indices

## singleIndexOffsets

std::vector<int> opengv::absolute_pose::NoncentralAbsoluteMultiAdapter::singleIndexOffsets

protected

Initialized in constructor, used for (de)-serialiaztion of indices

The documentation for this class was generated from the following file:

- include/opengv/absolute_pose/NoncentralAbsoluteMultiAdapter.hpp